Bug 283584 - I can select multiple folders but when moving them only one does
Summary: I can select multiple folders but when moving them only one does
Status: RESOLVED FIXED
Alias: None
Product: kmail2
Classification: Applications
Component: folders (show other bugs)
Version: 4.7
Platform: Ubuntu Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-10-08 07:10 UTC by Wolfgang Rohdewald
Modified: 2011-11-06 13:10 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Wolfgang Rohdewald 2011-10-08 07:10:50 UTC
Version:           4.7 (using Devel) 
OS:                Linux

see summary

Reproducible: Always

Steps to Reproduce:
Select a local folder with CTRL-left mouse. Do that to one more folder. Drag them into a third folder.

Actual Results:  
only one folder is moved

Expected Results:  
either both should be moved or only one should be selectable

OS: Linux (x86_64) release 3.0.0-12-generic
Compiler: gcc
Comment 1 Laurent Montel 2011-10-11 09:46:07 UTC
I confirm this bug.
Will look at it
Comment 2 Volker Krause 2011-10-12 08:59:02 UTC
Git commit 0454142391f52ed59b36dde6f3ada4362d5d8b9c by Volker Krause.
Committed on 12/10/2011 at 10:57.
Pushed by vkrause into branch 'master'.

Fix TransactionSequence aborting early if transactions are disabled.

This caused transaction-less sequences to only execute the first sub-job
(if at all, depending on execution time of that one). This broke at least
multi-collection copy/paste and dnd.

Reviewed by Laurent.

CCBUG: 283584

M  +13   -4    akonadi/transactionsequence.cpp

http://commits.kde.org/kdepimlibs/0454142391f52ed59b36dde6f3ada4362d5d8b9c
Comment 3 Laurent Montel 2011-11-06 13:10:11 UTC
was fixed